Subject: bug#9006: 24.0.50; Abort in unshow_buffer/kill-buffer

From: Stephen Berman <[email-masked]>
Date: Wed, 13 Jul 2011 10:00:30 +0200

On Wed, 13 Jul 2011 03:24:53 -0400 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Wed, 13 Jul 2011 08:53:19 +0200
>> Cc: [email-masked]
>> 
>> I was in the process of replying that I was well past the twelfth hour
>> and Emacs was still going strong -- when Emacs crashed :-(.  
>> But: I think this crash is not related to your patch to
>> vertical_motion -- it happened in compute_line_metrics -- so I still
>> think you should install it.
>
> The crash happens during redisplay of mode line.
>
>> PS: On the chance that this crash could be relevant, here are the
>> circumstances and the backtrace.  I was in Gnus, had just opened your
>> post again to reply, and somehow I mistakenly must have type `C-s SPC',
>> because all the spaces in the Summary buffer became covered with
>> lazy-highlight face.  I typed C-g two or three times -- and Emacs
>> crashed hard (segfault); bt full gave no Lisp backtrace.  I have not
>> been able to reproduce this.
>> 
>> #0  0x080735ac in compute_line_metrics (it=0xbfffb004)
>>     at /data/steve/bzr/emacs/quickfixes/src/xdisp.c:16789
>
> Please tell what source line corresponds to the PC address 0x080735ac
> in your version of the sources.  

Do I do that by typing `list *0x080735ac' (that's what the gdb Info file
seemed to suggest, unless I misunderstood)?

>                                  It's not clear what code caused the
> segfault, and in an optimized build one cannot trust line numbers
> reported by the debugger in a backtrace.  You may need to disassemble
> the code in GDB to see what source line crashed.
>
> Also, please go to frame #1 (assuming that crashed session still
> exists), and type "p *it.glyph_row", then post here what GDB prints.

Unfortunately, the crash happened late last night and I had to shut down
the machine afterwards.  But if it happens again, I will try to provide
the information you're requesting.  Sorry I can't now. :-(

Steve Berman